extends Node2D

# タイルマップ
onready var tile_map := $TileMap

# 経路を視覚的に表示する線
onready var line_2d := $Line2D

# キャラクター
onready var godot := $Godot

# 左マウスクリックを処理する
func _unhandled_input(event: InputEvent) -> void:
	if not event is InputEventMouseButton:
		return # マウスイベントでない
	if event.button_index != BUTTON_LEFT or not event.pressed:
		return # 左クリックでない
	
	# キャラクターから左クリックした位置までの経路を求める
	tile_map.path_start_position = godot.position
	tile_map.path_end_position = event.position
	var new_path = tile_map.recalculate_path()
	
	# 経路を線で視覚的に表示する
	line_2d.points = new_path
